Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225846 - Merge Review: gnu-efi
Summary: Merge Review: gnu-efi
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:56 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-12 17:26:12 UTC
dcantrell: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:56:08 UTC
Fedora Merge Review: gnu-efi

http://cvs.fedora.redhat.com/viewcvs/devel/gnu-efi/
Initial Owner: clumens@redhat.com

Comment 1 David Cantrell 2007-06-11 18:21:12 UTC
W: gnu-efi no-url-tag
W: gnu-efi setup-not-quiet
E: gnu-efi hardcoded-library-path in $RPM_BUILD_ROOT/usr/lib/gnuefi
E: gnu-efi hardcoded-library-path in $RPM_BUILD_ROOT/usr/lib/*.o
E: gnu-efi hardcoded-library-path in $RPM_BUILD_ROOT/usr/lib/gnuefi
E: gnu-efi hardcoded-library-path in /usr/lib/*

Release has no %{?dist} tag.  Do we need that?  I kind of like them, but I guess
it doesn't matter.

BuildRoot needs to be the huge version:
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Use %{?_smp_mflags} if it works in %build.

Line 19 has a trailing space.  Line 30 begins with a tab.  Fugly.

In the %files section, use %defattr(-,root,root,-)

In the %install and %files sections, use path macros.

And you know my personal opinion on %{buildroot} vs. $RPM_BUILD_ROOT.

Comment 2 Chris Lumens 2007-06-12 16:29:06 UTC
(In reply to comment #1)
> W: gnu-efi no-url-tag
> W: gnu-efi setup-not-quiet
> E: gnu-efi hardcoded-library-path in $RPM_BUILD_ROOT/usr/lib/gnuefi
> E: gnu-efi hardcoded-library-path in $RPM_BUILD_ROOT/usr/lib/*.o
> E: gnu-efi hardcoded-library-path in $RPM_BUILD_ROOT/usr/lib/gnuefi
> E: gnu-efi hardcoded-library-path in /usr/lib/*
> 
> Release has no %{?dist} tag.  Do we need that?  I kind of like them, but I guess
> it doesn't matter.
> 
> BuildRoot needs to be the huge version:
> %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> 
> Use %{?_smp_mflags} if it works in %build.
> 
> Line 19 has a trailing space.  Line 30 begins with a tab.  Fugly.
> 
> In the %files section, use %defattr(-,root,root,-)
> 
> In the %install and %files sections, use path macros.
> 
> And you know my personal opinion on %{buildroot} vs. $RPM_BUILD_ROOT.

Fixed, but can't rebuild because it's another ia64 package.

Comment 3 David Cantrell 2007-06-12 17:19:08 UTC
Looks good.  Line 40 has a trailing space.  ExclusiveArch is set to ia64 and
i386.    Could you do:  koji build --arch-override=i386 dist-fc8 *.src.rpm

to build it in Fedora?

Comment 4 Chris Lumens 2007-06-12 17:21:13 UTC
I did a test build in dist-5E to verify that it builds correctly.  Since we have
the package in i386 for Fedora, I'll rebuild there too.


Note You need to log in before you can comment on or make changes to this bug.